Environments
List a project's environments
The project environments saved in the project. Archived environments are excluded unless includeArchived=true — you need that to find one to restore.
GET
/
projects
/
{projectId}
/
environments
List a project's environments
curl --request GET \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/environments \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/environments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"hostId": "<string>",
"revision": 123,
"archived": true,
"createdAt": 123,
"updatedAt": 123,
"description": "<string>",
"serverAttachmentId": "<string>",
"skillSelection": {
"mode": "explicit",
"skillIds": [
"<string>"
]
},
"pluginVersionIds": [
"<string>"
],
"sandboxImageId": "<string>",
"archivedAt": 123
}
]
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
Query Parameters
Include archived environments.
Response
The project's environments.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List a project's environments

